Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin
Interface AdminService

    public interface AdminService

AdminService is used to manage server services.

Method Summary
`CatalogInfoManager` | `getCatalogInfoManager()` Gets catalog information manager.
`ClusterAdminService` | `getClusterAdminService()` Gets cluster administration service.
`ConfigService` | `getConfigService()` Gets configuration service.
`ConnectionInfoProviderService` | `getConnectionInfoProviderService()` Gets connection information provider service.
`ConnectionPoolManager` | `getConnectionPoolManager()` Gets connection pool manager.
`DataManager` | `getDataManager()` Gets data manager of a resource node.
`DynamicBVElementDisplayNameManager` | `getDynamicBVElementDisplayNameManager()` Gets dynamic BV element display name manager.
`DynamicConnectionManager` | `getDynamicConnectionManager()` Gets dynamic connection manager.
`DynamicSecurityManager` | `getDynamicSecurityManager()` Gets dynamic security manager.
`OrganizationManager` | `getOrganizationManager()` Gets organization manager.
`ResourceAdminService` | `getResourceAdminService()` Gets resource administration service.
`ResourceAliasManager` | `getResourceAliasManager()` Gets resource alias manager.
`SecurityAdminService` | `getSecurityAdminService()` Gets security administration service.

Method Detail

### getClusterAdminService

    ClusterAdminService getClusterAdminService()

  Gets cluster administration service.

  Returns:
    the ClusterAdminService.
  See Also:
    `ClusterAdminService`

### getResourceAdminService

    ResourceAdminService getResourceAdminService()

  Gets resource administration service.

  Returns:
    the ResourceAdminService.
  See Also:
    `ResourceAdminService`

### getSecurityAdminService

    SecurityAdminService getSecurityAdminService()

  Gets security administration service.

  Returns:
    the SecurityAdminService.
  See Also:
    `SecurityAdminService`

### getConfigService

    ConfigService getConfigService()

  Gets configuration service.

  Returns:
    the ConfigService.
  See Also:
    `ConfigService`

### getConnectionPoolManager

    ConnectionPoolManager getConnectionPoolManager()

  Gets connection pool manager.

  Returns:
    the ConnectionPoolManager.
  See Also:
    `ConnectionPoolManager`

### getDataManager

    DataManager getDataManager()

  Gets data manager of a resource node.

  Returns:
    the DataManager
  See Also:
    `DataManager`

### getResourceAliasManager

    ResourceAliasManager getResourceAliasManager()

  Gets resource alias manager.

  Returns:
    the ResourceAliasManager.
  See Also:
    `ResourceAliasManager`

### getConnectionInfoProviderService

    ConnectionInfoProviderService getConnectionInfoProviderService()

  Gets connection information provider service.

  Returns:
    the ConnectionInfoProviderService.
  See Also:
    `ConnectionInfoProviderService`

### getCatalogInfoManager

    CatalogInfoManager getCatalogInfoManager()

  Gets catalog information manager.

  Returns:
    the CatalogInfoManager.
  See Also:
    `CatalogInfoManager`

### getDynamicConnectionManager

    DynamicConnectionManager getDynamicConnectionManager()

  Gets dynamic connection manager.

  Returns:
  See Also:
    `DynamicConnectionManager`

### getDynamicBVElementDisplayNameManager

    DynamicBVElementDisplayNameManager getDynamicBVElementDisplayNameManager()

  Gets dynamic BV element display name manager.

  Returns:
    the DynamicBVElementDisplayNameManager
  See Also:
    `DynamicBVElementDisplayNameManager}`

### getOrganizationManager

    OrganizationManager getOrganizationManager()

  Gets organization manager.

  Returns:
    OrganizationManager

### getDynamicSecurityManager

    DynamicSecurityManager getDynamicSecurityManager()

  Gets dynamic security manager.

  Returns:
  See Also:
    `DynamicSecurityManager`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD